/* Deuterium */
/* Uses RxMathFn and VRexx */

'@echo off'
rc = RxFuncAdd("MathLoadFuncs","RxMathFn","MathLoadFuncs")
rc = MathLoadFuncs()
call RxFuncAdd 'VInit', 'VREXX', 'VINIT'
initcode = VInit()
if initcode = 'ERROR' then signal CLEANUP

signal on failure name CLEANUP
signal on halt name CLEANUP
signal on syntax name CLEANUP


win1.left   = 10
win1.bottom = 10
win1.right  = 90
win1.top    = 90
id1 = VOpenWindow('Deuterium', 'YELLOW', win1)
call VForeColor id1,'BLACK'

do x=-640 to 0 by 5
        m=-512
        do y=-1212 to 912 by 20
                aa=sqrt(x*x+y*y)
                a=aa*pi()/180
                z=(sin(a*2)*200-aa)/5
                v=(y+z)/2
                if m<v then do
                        m=v
                        h.1=3*(x/5)+500
                        b.1=5*(v/5)+550
                        call VDraw id1, 'PIXEL', h, b, 1
                        h.1=3*(-x/5)+500
                        b.1=5*(v/5)+550
                        call VDraw id1, 'PIXEL', h, b, 1
                end  /* if */
        end /* do y */
end /* do x */

msg.0 = 2
msg.1 = ' Een REXX script van Roland Leurs'
msg.2 = '(c) Atomic Development Studio 1997'
call VMsgBox 'Deuterium', msg, 1
call VCloseWindow id1


CLEANUP:
   call VExit

exit
