/* TESTDRAW.CMD */
'@echo off'
arg inputfile           /* parameter */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
call RxFuncAdd 'VInit', 'VREXX', 'VINIT'
initcode = VInit()
if initcode = 'ERROR' then signal CLEANUP

signal on failure name CLEANUP
signal on halt name CLEANUP
signal on syntax name CLEANUP


/* create window for drawing graphics */

win1.left   = 15
win1.bottom = 30
win1.right  = 55
win1.top    = 70
id1 = VOpenWindow('Atomic Graphics Viewer/2', 'BLACK', win1)

call VForeColor id1, 'WHITE'
call VSay id1, 20, 50, inputfile

x.1=0
y.1=990
/*
do 16   /* skip atom file header */
   teken=charin(inputfile)
end /* do */
*/
do while chars(inputfile)>0
        teken=c2d(charin(inputfile))
        bit=128
        do i=1 to 8
                if teken>=bit then do
                        call VDraw id1, 'PIXEL', x, y, 1
                        teken=teken-bit
                end  /* if */
                bit=bit/2
                x.1=x.1+4
                if x.1>1022 then do
                        x.1=0
                        y.1=y.1-4
                end  /* if */
        end /* do */
end /* while */

/* put up a message box */

msg.0 = 2
msg.1 = ' Een REXX script van Roland Leurs'
msg.2 = '(c) Atomic Development Studio 1997'
call VMsgBox 'Atomic Graphics Viewer/2', msg, 1
call VCloseWindow id1


/* end of CMD file */

CLEANUP:
   call VExit

exit
