/* Eikel */
/* Uses VREXX2 and RXMATHFN extensions */

'@echo off'
rc = RxFuncAdd("MathLoadFuncs","RxMathFn","MathLoadFuncs")
rc = MathLoadFuncs()
call RxFuncAdd 'VInit', 'VREXX', 'VINIT'
initcode = VInit()
if initcode = 'ERROR' then signal CLEANUP

signal on failure name CLEANUP
signal on halt name CLEANUP
signal on syntax name CLEANUP

win1.left   = 10
win1.bottom = 10
win1.right  = 90
win1.top    = 90
id1 = VOpenWindow('Eikel van de maand', 'GREEN', win1)

do o=0 to 3
        k=0
        l=125
        select
           when o=0 then do
                x=75
                s=175
                ss=(2*pi()/13)
                r=6
                v=4
                f=0
                h=50
           end  /* when */
           when o=1 then do
                x=65
                s=185
                ss=(2*pi()/15)
                r=5
                v=4
                f=1
                h=60
           end  /* when */
           when o=2 then do
                x=120
                s=134
                ss=1
                r=2
                v=r
                f=0
                h=f
           end  /* when */
           when o=3 then do
                x=0
                s=14
                ss=2*pi()/7
                r=5
                v=1
                f=0
                h=0
                l=188
           end  /* when */
        end  /* select */
        do j=1 to r
                b=s-x
                if o=0 then y=trunc(-0.04*((x-125)*(x-125))+190)
                if o=1 then y=trunc((4/360)*((x-125)*(x-125)))+40
                if o=2 then if j=1 then y=40
                if o=2 then if j=2 then y=20
                if o=3 then do  
                                y=trunc((-10/4115)*(l-125)*(l-125))+19
                                l=l-20
                                s=s-1
                            end  /* if */
                t=l+b/2
                u=y
                rr=0
                z=0
                do until rr>=(2*pi()+0.1)
                        p=trunc(cos(rr)*(b/2)+l)
                        q=trunc(sin(rr)*((b/2)/v)+y)
                        dx.1=4*t
                        dy.1=5*u
                        dx.2=4*p
                        dy.2=5*q
                        call VDraw id1, "LINE", dx, dy, 2
                        t=p
                        u=q
                        if k//2=0 then do
                                aa.z=p
                                bb.z=q
                        end  /* if */
                        if k//2\=0 then do
                                cc.z=p
                                dd.z=q
                        end  /* if */
                        if k\=0 then do
                                if o=1 then do
                                        if k//2=0 then do
                                                dx.1=4*cc.z
                                                dy.1=5*dd.z
                                                dx.2=4*aa.z
                                                dy.2=5*bb.z
                                                call VDraw id1, "LINE", dx, dy, 2
                                                dx.1=dx.2
                                                dy.1=dy.2
                                                i=z+1
                                                dx.2=4*cc.i
                                                dy.2=5*dd.i
                                                call VDraw id1, "LINE", dx, dy, 2
                                        end  /* do */
                                else do
                                        dx.1=4*aa.z
                                        dy.1=5*bb.z
                                        dx.2=4*cc.z
                                        dy.2=5*dd.z
                                        call VDraw id1, "LINE", dx, dy, 2
                                        dx.1=dx.2
                                        dy.1=dy.2
                                        i=z+1
                                        dx.2=4*aa.i
                                        dy.2=5*bb.i
                                        call VDraw id1, "LINE", dx, dy, 2
                                end  /* Do */
                                end  /* if */
                                dx.1=4*aa.z
                                dy.1=5*bb.z
                                dx.2=4*cc.z
                                dy.2=5*dd.z
                                call VDraw id1, "LINE", dx, dy, 2
                        end  /* if */
                        rr=rr+ss
                        z=z+1
                end /* until */
                aa.z=aa.1
                bb.z=bb.1
                cc.z=cc.1
                dd.z=dd.1
                k=k+1
                x=x+trunc(h/r)
                s=s-trunc(h/r)
        end /* do j */
end /* do o */

call VDialogPos 10, 10
msg.0 = 2
msg.1 = '3D Eikel'
msg.2 = 'Rexx versie door Roland Leurs'
call VMsgBox 'Acorn Computer', msg, 1
call VCloseWindow id1

CLEANUP:
   call VExit

exit
