/* SPIDERSWEB.CMD */
/* Uses VREXX2 and RXMATHFN extensions */

'@echo off'
rc = RxFuncAdd("MathLoadFuncs","RxMathFn","MathLoadFuncs")
rc = MathLoadFuncs()

call RxFuncAdd 'VInit', 'VREXX', 'VINIT'
initcode = VInit()
if initcode = 'ERROR' then signal CLEANUP

signal on failure name CLEANUP
signal on halt name CLEANUP
signal on syntax name CLEANUP

/* Ask for input */

prompt.0 = 2   /* 2 prompt lines */
prompt.1 = 'First number  '
prompt.2 = 'Second number '

width.0 = 2
width.1 = 9      /* widths in character units */
width.2 = 9      /* for both entryfields */

hide.0 = 2
hide.1 = 0       /* echo the input */
hide.2 = 0       /* echo the input */

number.0 = 2
number.1 = '4'   /* these are the default strings */
number.2 = '43'  /* which will contain the input */

button = VMultBox('Spiders Web/2', prompt, width, hide, number, 3)

if button = 'OK' then do

        win2.left   = 15
        win2.bottom = 30
        win2.right  = 55
        win2.top    = 70
        id2 = VOpenWindow('Spiders Web/2', 'BLACK', win2)
        call VForeColor id2, 'YELLOW'

        x.1=500
        y.1=500
        rad=pi()/180
        n=number.1
        d=number.2
        a=0
        f=500
        do until a=0
                a=(a+d)//360
                h=(n*a)//360
                rr=sin(rad*h)
                tt=rad*a
                nn=rr*sin(tt)
                mm=rr*cos(tt)
                x.2 = nn*f+500
                y.2 = mm*f+500
                call VDraw id2, 'LINE', x, y, 2
                x.1=x.2
                y.1=y.2
         end /* do */

        /* put up a message box */

        msg.0 = 2
        msg.1 = 'Spiders Web/2'
        msg.2 = 'Written by Roland Leurs'
        call VMsgBox 'Spiders Web Completed', msg, 1
        call VCloseWindow id2

end /* if */

CLEANUP:
   call VExit

exit
