;**********************************************************************;
;*                 A T O M I C   D E B U G G E R                      *;
;*--------------------------------------------------------------------*;
;*    doel           : machinetaal debugger voor Atom-in-PC met       *;
;*                     ondersteuning van 6502, 65C02 en 65802         *;
;*--------------------------------------------------------------------*;
;*    filenaam       : atom.inc                                       *;
;*    auteur         : Roland Leurs                                   *;
;*                     The Atomic Development Studio                  *;
;*    ontwikkeld     : maart 1998                                     *;
;*    laatste update :                                                *;
;*--------------------------------------------------------------------*;
;*    assembleren    : als include file opnemen in debug.asm          *;
;**********************************************************************;

count           equ     $07             ;count variabele
zp              equ     $80
work            equ     $500            ;werkruimte
semafoor        equ     $CF             ;semafoor voor pc communicatie
VIA             equ     $B810           ;via voor timer interrupts
runscrn         equ     1               ;trace output scherm
semset          equ     $0B
semclr          equ     $0A
hexteken        equ     '#'             ;teken voor hexadecimaal aanduiding
immteken        equ     '@'             ;teken voor immediate adressering

wrch            equ     $FFF4
rdch            equ     $FFE3
osbyte          equ     $FFC2
leesbyte        equ     $FFC5
zendbyte        equ     $FFC8
crlf            equ     $FFED
brkhandler      equ     $C9B2

PRCHAR_NL       EQU     $FFE9
PRSPACES        EQU     $F99A

