/* OS dependant routines and values */

char platform[]="DOS";

#include <conio.h>

#define key_pgup	'5'
#define key_pgdn	'6'
#define key_curup	'A'
#define key_curdn	'B'
#define key_f1		'P'
#define key_f2		'Q'
#define key_f3		'R'
#define key_f4		'S'
#define key_1		'1'
#define key_2		'2'
#define key_3		'3'
#define key_4		'4'
#define key_9		'9'
#define key_0		'0'
#define space		' '
#define enter		0x0D
#define key_r		'R'
#define key_s		'S'
#define key_h		'H'
#define key_m		'M'
#define key_q		'Q'
#define key_a		'A'
#define key_c		'C'
#define key_g		'G'
#define key_bs		0x08
#define key_delete	0x7F

#define inb	inp

#define BASEPORT 0x378

#define BG_BLACK	128
#define BG_BLUE		16
#define BG_GREEN        32
#define BG_CYAN         48
#define BG_RED          64
#define BG_MAGENTA      80
#define BG_BROWN        96
#define BG_WHITE        112
#define	NORMAL		129

int _current_color=NORMAL;

void progstart(void)
	{
	/* does nothing */
	}

void progend(void)
	{
	/* does nothing */
	}

char readkey(void)
	{
	int i;
	i=getch();
	if(!i)
		{
		i=getch();
		switch(i)
			{
			case 72: i=key_curup; break;
			case 80: i=key_curdn; break;
			case 73: i=key_pgup; break;
			case 81: i=key_pgdn; break;
			default: i=0;
			}
		}
	return i;
	}

void _textattr(int t)
	{
	if (t<16) textcolor(t);
	else textbackground(t/16);
	if (t==NORMAL) textcolor(WHITE);
	}

void outb(int data, int port)
	{
	outp(port, data);
	}

